# Uncomment the next line to define a global platform for your project
#platform :ios, '9.0'

target 'trainingApplication' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  # http request
  pod 'Alamofire', '~> 5.0.0-rc.3'
  
  # image downloading
  pod 'SDWebImage', '~> 5.0'
  
  # Rx generic abstraction
  pod 'RxSwift', '~> 5'
  pod 'RxCocoa', '~> 5'
  
  # injection dépendance
  pod 'SwinjectStoryboard'
  pod 'Swinject','2.7.1'
  
  # facebook sdk
  pod 'FBSDKCoreKit'
  pod 'FBSDKLoginKit'
  pod 'FBSDKShareKit'
  pod 'FBSDKPlacesKit'
  
  # swift style
  pod 'SwiftLint'

  target 'trainingApplicationTests' do
    inherit! :search_paths
    # Pods for testing
  end

  target 'trainingApplicationUITests' do
    # Pods for testing
  end

end
